Package org.kapott.hbci.dialog

# Class HBCIDialogInit

java.lang.Object
org.kapott.hbci.dialog.AbstractRawHBCIDialog
org.kapott.hbci.dialog.AbstractRawHBCIDialogInit
org.kapott.hbci.dialog.HBCIDialogInit

All Implemented Interfaces:
  `RawHBCIDialog`

public class HBCIDialogInit extends AbstractRawHBCIDialogInit
Diese Klasse enthaelt die Dialog-Initialisierung.

## Constructor Summary

Constructors
Constructor
Description
`HBCIDialogInit()`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`applyData(DialogContext ctx)`
Befuellt die Daten fuer die Nachricht.
`protected String`
`getActualTemplate(DialogContext ctx)`
Liefert das tatsaechlich zu verwendende Message-Template basierend auf dem Kontext.

### Methods inherited from class org.kapott.hbci.dialog.AbstractRawHBCIDialog

`checkResult, createSCARequest, execute, getSegmentVersion, getTemplate, sendData, setTemplate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIDialogInit

public HBCIDialogInit()
ct.

## Method Details

### applyData

protected void applyData(DialogContext ctx)
Description copied from class: `AbstractRawHBCIDialog`
Befuellt die Daten fuer die Nachricht.

Overrides:
  `applyData` in class `AbstractRawHBCIDialogInit`
Parameters:
  `ctx` - der Kontext.
See Also:
  - `org.kapott.hbci.dialog.AbstractHBCIDialogInit#applyData(org.kapott.hbci.dialog.DialogContext)`

### getActualTemplate

protected String getActualTemplate(DialogContext ctx)
Description copied from class: `AbstractRawHBCIDialog`
Liefert das tatsaechlich zu verwendende Message-Template basierend auf dem Kontext.

Overrides:
  `getActualTemplate` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
Returns:
  template das zu verwendende Message-Template.
See Also:
  - `org.kapott.hbci.dialog.AbstractHBCIDialogInit#getActualTemplate(org.kapott.hbci.dialog.DialogContext)`